XPathView + XSLT-Support

Compatible with  IntelliJ IDEA
27.11.2008
50 878
The XPath part of the plugin provides a possibility to evaluate XPath expressions against any XML document opened in IDEA. It can also generate and show an XPath expression that matches the current node.

The XSLT part adds syntax highlighting, analysis, completion, navigation and refactoring of XPath expressions and named templates for XSLT documents.

Download plugin

Version

Update date

Anonymous
02.08.2012
This was a very usable plug-in, but it doesn't seem to work correctly anymore :(.
11.03.2009
Please do not post issues or questions here. Post them to the forums, send an email or file a JIRA request if you suspect a bug. Thanks.

The validation error that shows up with an XSLT 2.0 stylesheet is an issue in IDEA itself, not the plugin. Actually, the XSD schema doesn't allow XSL elements at this position. Please file a JIRA issue to relax this check.
Anonymous
11.03.2009
Consider following code










now set the version attribute to XSLT version 2.0 - it shows up an error. It\\\'s plugin\\\'s limitation or did I miss something in XSLT 2.0?
Thanks for advance.
02.03.2009
Please see http://www.jetbrains.net/jira/browse/IDEADEV-33896 for XSLT/XPath 2.0 support.

Unfortunately, at the moment there is no way to make the plugin work with XSLT 2.0 files at all.
02.03.2009
Damn, my tags were cropped. Sorry for duplication.

===
... If I just set [lt]xsl:stylesheet version="2.0"...[gt] all navigation through templates and xpath complete are go out...
====
Anonymous
02.03.2009
Yeah, what about xslt 2.0? I'm interesting in it too. If I just set all navigation through templates and xpath complete are go out. It's a pity. Is there any way (may be just a little correct in some validation file) to stay with version="2.0" and all the qualities of this wonderful plugin?
Gor
27.02.2009
How about XSLT and XPath 2.0?
I am very interested in it.
Gor
26.11.2008
It seems http://www.intellij.org/twiki/bin/view/Main/XPathViewPlugin is obsolete.
And http://www.intellij.net/forums/forum.jspa?forumID=18 is not available.

So where can I look at sources, discuss any technical issues and so on?
Anonymous
30.10.2008
When using the 'Show Unique Xpath' feature, I receive something like /foo/bar[0]/@id which is wrong because indexes start at 1 in xpath.
Anonymous
30.10.2008
Works exactly as described. Sweet!
04.09.2007
> Any hints?



As the name "2.1-Selena-b08" indicates, this version is for the EAP of IDEA 7.0, code name "Selena" ;)



The last version that support IDEA 6.0.x is "2.0.3". If there are problems with that version, please contact me via email.



Thanks.
Anonymous
04.09.2007
After installing (under /plugins) verion "2.1-Selena-b08.", IntelliJ never shows its splash screen again, and never starts. Removing the plugin fixes the problem.

Any hints?

My environment:
OS: SuSE Linux
IDEA 6.0.4
Java: 1.5.0_08-b03
16.09.2006
Hello, this really isn't the place for deeper discussions about features or problems - please post in the appropriate forum or just send an email. Thanks.
12.07.2006
Hello Anonymous, such a behavior has not been reported before and I can not reproduce it in any way. The comment-section here is a very inconvenient place to discuss any technical issues. Please post a more detailed description of what you're doing in the Plugin forum/newsgroup at http://www.intellij.net/forums/forum.jspa?forumID=18 or send me an email. Thanks.

Sascha
Anonymous
12.07.2006
Hello.

Does anyone else get the XPath Syntax Error dialog regardless of the document or xpath expression it wants to apply to the document?

The text in the dialog says:

Unexpected ". I am using the IDEA 5.1.2.
Please  sign in  to leave a comment.